Subject: Re: bug#71851: 31.0.50; error with (use-package org ...)

From: Jeremy Bryant <[email-masked]>
Date: Sun, 30 Jun 2024 21:36:08 +0100

Paul Nelson <[email-masked]> writes:

> Steps to reproduce: on the latest master, Emacs -Q, evaluating
>
> (use-package org
>   :custom
>   (org-babel-load-languages '((latex . t) (emacs-lisp . t) (python . t))))
>
> in *scratch* via C-x C-e yields the error
>
> Error (use-package): org/:catch: Symbol’s value as variable is void:
> org-preview-latex-process-alist
>
> If I first (require 'org), then it works fine.
>
> I suspected some version issue, but deleted all eln-cache stuff, and
> tried rebuilding in a fresh directory and emptying my .emacs.d.
>
>
> In GNU Emacs 31.0.50 (build 1, aarch64-apple-darwin23.5.0, NS
>  appkit-2487.60 Version 14.5 (Build 23F79)) of 2024-06-30 built on
>  d51735
> Repository revision: c8473ee8c1914d15fb19207215f0a06c84d0915c
> Repository branch: master
> Windowing system distributor 'Apple', version 10.3.2487
> System Description:  macOS 14.5

Adding Ihor who may be able to review.

FWIW, I tried this on 29.4 and there is no error, so this may be from a recent commit.